## nemo 5.6.1+vera

=== debian/changelog ===
nemo (5.6.1+vera) vera; urgency=medium

  [ Michael Webster ]
  * pathbar/entry: Give entry-preferred mode the same persistent behavior as pathbar-preferred.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 13 Dec 2022 15:14:28 +0000

## nemo 5.6.2

=== debian/changelog ===
nemo (5.6.2-1) unstable; urgency=medium

  * New upstream version 5.6.2
  * Update standards version to 4.6.2, no changes needed

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 08 Jan 2023 17:13:36 +0100

## nemo 5.6.2+elsie

=== debian/changelog ===
nemo (5.6.2+elsie) vera; urgency=medium

  [ Clement Lefebvre ]
  * l10n: Update POT

  [ Michael Webster ]
  * nemo-places-sidebar.c: Get the expander width from the current theme instead of hard-coded.

  [ Bobby Rong ]
  * nemo-action: readlink before populate
  * nemo-script-config-widget: monitor correct path for setup-dir-monitors

  [ Michael Webster ]
  * nemo-window-pane.c: Use the button-release event for showing the current location entry.
  * Run generate_additional_file to populate desktop/action files with new translations.

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 07 Jan 2023 15:53:11 +0000

nemo (5.6.1) vera; urgency=medium

  [ Michael Webster ]
  * pathbar/entry: Give entry-preferred mode the same persistent behavior as pathbar-preferred.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 13 Dec 2022 15:14:28 +0000

## nemo 5.6.2+vera

=== debian/changelog ===
nemo (5.6.2+vera) vera; urgency=medium

  [ Clement Lefebvre ]
  * l10n: Update POT

  [ Michael Webster ]
  * nemo-places-sidebar.c: Get the expander width from the current theme instead of hard-coded.

  [ Bobby Rong ]
  * nemo-action: readlink before populate
  * nemo-script-config-widget: monitor correct path for setup-dir-monitors

  [ Michael Webster ]
  * nemo-window-pane.c: Use the button-release event for showing the current location entry.
  * Run generate_additional_file to populate desktop/action files with new translations.

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 07 Jan 2023 15:53:11 +0000

## nemo 5.6.3

=== debian/changelog ===
nemo (5.6.3-1) unstable; urgency=medium

  * New upstream version 5.6.3

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 22 Jan 2023 19:08:11 +0100

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Force UTF8 to workaround build error
export LC_ALL=C.UTF-8

CONFIGURE_EXTRA_FLAGS = \
	--libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)/nemo \
	-D deprecated_warnings=false \
	-D gtk_doc=true

ifeq ($(DEB_HOST_ARCH_OS),linux)
CONFIGURE_EXTRA_FLAGS += \
	-D selinux=true
endif

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_EXTRA_FLAGS)

override_dh_auto_test:
	# Disabled
	:

override_dh_python3:
	dh_python3 -p nemo-data /usr/share/nemo

## nemo 5.6.3+elsie

=== debian/changelog ===
nemo (5.6.3+elsie) vera; urgency=medium

  [ Michael Webster ]
  * nemo-window-menus.c: Recalculate extension/action items at an earlier stage in opening the file manu.
  * nemo-extensions-list.c: Add a note regarding a memory leak.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 18 Jan 2023 16:11:34 +0000

nemo (5.6.2) vera; urgency=medium

  [ Clement Lefebvre ]
  * l10n: Update POT

  [ Michael Webster ]
  * nemo-places-sidebar.c: Get the expander width from the current theme instead of hard-coded.

  [ Bobby Rong ]
  * nemo-action: readlink before populate
  * nemo-script-config-widget: monitor correct path for setup-dir-monitors

  [ Michael Webster ]
  * nemo-window-pane.c: Use the button-release event for showing the current location entry.
  * Run generate_additional_file to populate desktop/action files with new translations.

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 07 Jan 2023 15:53:11 +0000

## nemo 5.6.3+vera

=== debian/changelog ===
nemo (5.6.3+vera) vera; urgency=medium

  [ Michael Webster ]
  * nemo-window-menus.c: Recalculate extension/action items at an earlier stage in opening the file manu.
  * nemo-extensions-list.c: Add a note regarding a memory leak.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 18 Jan 2023 16:11:34 +0000

## nemo 5.6.4

=== debian/changelog ===
nemo (5.6.4-1) unstable; urgency=medium

  * New upstream bugfix version 5.6.4

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 19 Mar 2023 22:36:15 +0100

=== debian/control ===
Source: nemo
Section: misc
Priority: optional
Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
 Norbert Preining <norbert@preining.info>,
 Joshua Peisach <itzswirlz2020@outlook.com>,
 Christoph Martin <martin@uni-mainz.de>
Build-Depends:
 cinnamon-l10n (>= 5.6.1~),
 debhelper-compat (= 13),
 dh-sequence-gir,
 dh-sequence-python3,
 gtk-doc-tools,
 intltool,
 itstool,
 libatk1.0-dev,
 libcinnamon-desktop-dev (>= 5.6~),
 libexempi-dev,
 libexif-dev,
 libgail-3-dev,
 libgirepository1.0-dev,
 libglib2.0-dev,
 libglib2.0-doc,
 libgsf-1-dev,
 libgtk-3-dev,
 libgtk-3-doc,
 libpango1.0-dev,
 libselinux1-dev [linux-any],
 libx11-dev,
 libxapp-dev (>= 2.0.0~),
 libxext-dev,
 libxml2-dev,
 libxrender-dev,
 meson,
 python3,
 python3-gi,
 x11proto-core-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: http://cinnamon.linuxmint.com/
Vcs-Browser: https://salsa.debian.org/cinnamon-team/nemo
Vcs-Git: https://salsa.debian.org/cinnamon-team/nemo.git

Package: gir1.2-nemo-3.0
Architecture: any
Section: introspection
Depends: ${gir:Depends}, ${misc:Depends}
Description: libraries for nemo components - gir bindings
 Nemo is the official file manager for the Cinnamon desktop. It allows one
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.
Breaks: nemo-python (<< 5.2~)
Multi-Arch: same

Package: libnemo-extension-dev
Architecture: any
Section: libdevel
Depends:
 gir1.2-nemo-3.0 (= ${binary:Version}),
 libglib2.0-dev,
 libgtk-3-dev,
 libnemo-extension1 (= ${binary:Version}),
 ${misc:Depends},
Description: Nemo component system facilities (development files)
 Nemo is the official file manager for the Cinnamon desktop. It allows one
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 This package contains the files needed to compile and link nemo extensions.

Package: libnemo-extension1
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Nemo component system facilities
 Nemo is the official file manager for the Cinnamon desktop. It allows one
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 This package contains the shared library needed by the nemo extensions.
Breaks: nemo-fileroller (<< 5.2~), nemo-python (<< 5.2~)

Package: nemo
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 cinnamon-desktop-data (>= 5.6~),
 desktop-file-utils,
 gsettings-desktop-schemas,
 gvfs,
 libcinnamon-desktop4 (>= 5.6~),
 libglib2.0-data,
 libnemo-extension1 (= ${binary:Version}),
 nemo-data (= ${source:Version}),
 shared-mime-info,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 catdoc,
 cinnamon-l10n (>= 5.6.1~),
 exif,
 gnome-disk-utility,
 gvfs-backends,
 gvfs-fuse,
 html2text,
 id3,
 librsvg2-common,
 nemo-fileroller (>= 5.2~),
 odt2txt,
 poppler-utils,
 python3-xlrd,
 python3:any,
 untex,
Suggests: eog, evince | pdf-viewer, totem | mp3-decoder, xdg-user-dirs
Description: File manager and graphical shell for Cinnamon
 Nemo is the official file manager for the Cinnamon desktop. It allows one
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 Several icon themes and components for viewing different kinds of files
 are available in separate packages.
Breaks: cinnamon (<< 5.4~), cinnamon-core (<< 5.4~), nemo-fileroller (<< 5.2~)

Package: nemo-data
Architecture: all
Depends: python3:any, ${misc:Depends}, ${python3:Depends}
Suggests: nemo
Description: File manager and graphical shell for Cinnamon (data files)
 Nemo is the official file manager for the Cinnamon desktop. It allows one
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 This package contains pictures, localization files and other data
 needed by nemo.

## nemo 5.6.4%2Bvera

=== debian/changelog ===
nemo (5.6.4+vera) vera; urgency=medium

  [ Michael Webster ]
  * nemo-view-dnd.c: Fix the check for a web link's title, and use the url if it's missing.
  * nemo-mime-actions.c: Prioritize an http link to open in a browser, regardless of the mimetype of the link's target.

  [ kain ]
  * Fix for List View thumbnail scaling at HiDPI (#3187)

  [ Michael Webster ]
  * list-view: Scale the thumbnail correctly when applying emblems, and fix the emblem sanity checks everywhere.
  * file info: Use generic methods for attributes that aren't guaranteed to be supported by the filesystem.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 16 Mar 2023 13:58:16 +0000

nemo (5.6.3) vera; urgency=medium

  [ Michael Webster ]
  * nemo-window-menus.c: Recalculate extension/action items at an earlier stage in opening the file manu.
  * nemo-extensions-list.c: Add a note regarding a memory leak.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 18 Jan 2023 16:11:34 +0000

## nemo 5.6.4+elsie

=== debian/changelog ===
nemo (5.6.4+elsie) vera; urgency=medium

  [ Michael Webster ]
  * nemo-view-dnd.c: Fix the check for a web link's title, and use the url if it's missing.
  * nemo-mime-actions.c: Prioritize an http link to open in a browser, regardless of the mimetype of the link's target.

  [ kain ]
  * Fix for List View thumbnail scaling at HiDPI (#3187)

  [ Michael Webster ]
  * list-view: Scale the thumbnail correctly when applying emblems, and fix the emblem sanity checks everywhere.
  * file info: Use generic methods for attributes that aren't guaranteed to be supported by the filesystem.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 16 Mar 2023 13:58:16 +0000

=== debian/control ===
Source: nemo
Section: misc
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends:
 cinnamon-l10n,
 debhelper-compat (= 12),
 dh-python,
 gobject-introspection,
 gtk-doc-tools (>= 1.4),
 intltool (>= 0.40.1),
 itstool,
 libatk1.0-dev (>= 1.32.0),
 libcinnamon-desktop-dev (>= 4.8),
 libexempi-dev (>= 2.2.0),
 libexif-dev (>= 0.6.20),
 libgail-3-dev,
 libgirepository1.0-dev (>= 0.9.12),
 libglib2.0-dev (>= 2.45.7),
 libglib2.0-doc,
 libgsf-1-dev,
 libgtk-3-dev (>= 3.10),
 libgtk-3-doc,
 libpango1.0-dev,
 libx11-dev,
 libxapp-dev (>= 2.0.0),
 libxext-dev,
 libxml2-dev (>= 2.7.8),
 libxrender-dev,
 meson,
 python3,
 python3-gi,
 x11proto-core-dev,
Homepage: http://www.github.com/linuxmint/nemo/
Standards-Version: 3.9.5

Package: gir1.2-nemo-3.0
Architecture: any
Section: introspection
Depends: ${gir:Depends}, ${misc:Depends}
Conflicts: gir1.0-nemo-3.0
Replaces: gir1.0-nemo-3.0
Description: libraries for nemo components - gir bindings
 Nemo is the official file manager and graphical shell for the
 Cinnamon desktop.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

Package: libnemo-extension-dev
Architecture: any
Section: libdevel
Depends:
 gir1.2-nemo-3.0 (= ${binary:Version}),
 libglib2.0-dev (>= 2.45.7),
 libgtk-3-dev (>= 3.10),
 libnemo-extension1 (= ${binary:Version}),
 ${misc:Depends},
Description: libraries for nemo components - development version
 Nemo is the official file manager and graphical shell for the
 Cinnamon desktop.
 .
 This package provides the necessary development libraries and include
 files to develop and compile Nemo extensions.

Package: libnemo-extension1
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: libnemo-extension1a
Replaces: libnemo-extension1a
breaks: libnemo-extension1a
Description: libraries for nemo components - runtime version
 Nemo is the official file manager and graphical shell for the
 Cinnamon desktop.
 .
 This package contains a few runtime libraries needed by nemo' extensions.

Package: nemo
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 cinnamon-desktop-data (>= 4.8.0),
 cinnamon-l10n,
 desktop-file-utils (>= 0.7),
 gsettings-desktop-schemas,
 gvfs (>= 1.3.2),
 libglib2.0-data,
 libnemo-extension1 (= ${binary:Version}),
 nemo-data (= ${source:Version}),
 shared-mime-info (>= 0.50),
 poppler-utils,
 exif,
 id3,
 odt2txt,
 catdoc,
 untex,
 html2text,
 python3-xlrd,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 gvfs-backends,
 gvfs-fuse,
 librsvg2-common,
 nemo-fileroller,
 gnome-disk-utility
Suggests: eog, evince | pdf-viewer, totem | mp3-decoder, xdg-user-dirs
Description: file manager and graphical shell for Cinnamon
 Nemo is the official file manager for the Cinnamon desktop. It allows
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 Several icon themes and components for viewing different kinds of files
 are available in separate packages.

Package: nemo-data
Architecture: all
Depends: python3, ${misc:Depends}, ${python3:Depends}
Suggests: nemo
Description: data files for nemo
 Nemo is the official file manager and graphical shell for the
 Cinnamon desktop.
 .
 This package contains pictures, localization files and other data
 needed by nemo.

Package: nemo-dbg
Section: debug
Architecture: any
Priority: optional
Depends: nemo (= ${binary:Version}), ${misc:Depends}
Replaces: libnemo-extension1-dbg
Description: file manager and graphical shell for Cinnamon - debugging version
 Nemo is the official file manager for the Cinnamon desktop. It allows
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 Several icon themes and components for viewing different kinds of files
 are available in separate packages.
 .
 This development package contains unstripped binaries compiled with
 debugging symbols needed by gdb.

## nemo 5.8.0+victoria

=== debian/changelog ===
nemo (5.8.0+victoria) victoria; urgency=medium

  [ Michael Webster ]
  * nemo-view-dnd.c: Fix the check for a web link's title, and use the url if it's missing.
  * nemo-mime-actions.c: Prioritize an http link to open in a browser, regardless of the mimetype of the link's target.
  * nemo-file-management-properties.glade: Re-save under glade 3.38.
  * preferences: Allow displaying dates using the system's current monospace font.
  * Reduce timeout delay for the click-to-rename feature.
  * thumbnails: Use multiple threads for generating thumbnails.
  * nemo-thumbnails: Restore compatibility with older glib versions, move all mutex locks off of the UI thread, clean up when nemo exits.
  * nemo-icon-container.c: Fix thumbnail prioritization in the icon, compact views.
  * Remove _prioritize_thumbnailing vfuncs in the icon containers.
  * Clean up nemo-thumbnails.c, add some thread/queue debugging.
  * nemo-thumbnails.c: Use LIFO sort for the thumbnailing thread.
  * nemo-thumbnails.c: Fix thread count when the setting is a positive value (specific count desired instead of automatic).

  [ kain ]
  * Fix for List View thumbnail scaling at HiDPI (#3187)

  [ Michael Webster ]
  * thumbnails: Ignore operations if the thumbnailer isn't running.
  * list-view: Scale the thumbnail correctly when applying emblems, and fix the emblem sanity checks everywhere.

  [ Oliver Kästner ]
  * Fix memleaks (#3131)

  [ Michael Webster ]
  * file info: Use generic methods for attributes that aren't guaranteed to be supported by the filesystem.
  * Fix some more GFileInfo getter problems.

  [ GNL10 ]
  * Stop "Searching..." pop-up button from disappearing when opening a file (#3177)

  [ Michael Webster ]
  * Implement a dynamic margin at the end of the file list in the list view.
  * window-slot: Update status bar selection info when a location is still loading.

  [ kain ]
  * Icon frame only for non-transparent large icons (#3189)

  [ Michael Webster ]
  * search: increase performance, reduce memory use.
  * Use GRefString instead of eel_ref_str for ref-counted strings.
  * Fix some memory leaks.
  * nemo-list-view.c: Fix some tooltip markup warnings.
  * Use fast-content-type when normal content-type lookup fails.

  [ Guldoman ]
  * Use local URIs for drag&drop, copy/paste operations (#3220)

  [ Michael Webster ]
  * i18n: Add rtl versions of directional icons.
  * places-sidebar: Render disk-full bars correctly in RTL languages.

  [ Oliver Kästner ]
  * properties-window: split dir elem count and size (#3225)

  [ Michael Webster ]
  * Add a 'drop zone' to the list view. This allows drag-and-drop into the current folder even when only folders are visible in the view.
  * nemo-application.c: Update the custom css provider when the system theme changes.
  * nemo-list-view.c: Remove stray debug line.
  * github workflow: Add optional ssh session.
  * actions: Make NemoActionManager more efficient, and skip invalid directories.
  * Update bug/feature templates.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 01 Jun 2023 16:21:09 +0100

## nemo 5.8.1+victoria

=== debian/changelog ===
nemo (5.8.1+victoria) victoria; urgency=medium

  [ Michael Webster ]
  * nemo-list-view.c: Reset dynamic bottom margin when loading a new location.

  [ Clement Lefebvre ]
  * l10n: Generate additional files

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jun 2023 13:00:41 +0100

nemo (5.8.0) victoria; urgency=medium

  [ Michael Webster ]
  * nemo-view-dnd.c: Fix the check for a web link's title, and use the url if it's missing.
  * nemo-mime-actions.c: Prioritize an http link to open in a browser, regardless of the mimetype of the link's target.
  * nemo-file-management-properties.glade: Re-save under glade 3.38.
  * preferences: Allow displaying dates using the system's current monospace font.
  * Reduce timeout delay for the click-to-rename feature.
  * thumbnails: Use multiple threads for generating thumbnails.
  * nemo-thumbnails: Restore compatibility with older glib versions, move all mutex locks off of the UI thread, clean up when nemo exits.
  * nemo-icon-container.c: Fix thumbnail prioritization in the icon, compact views.
  * Remove _prioritize_thumbnailing vfuncs in the icon containers.
  * Clean up nemo-thumbnails.c, add some thread/queue debugging.
  * nemo-thumbnails.c: Use LIFO sort for the thumbnailing thread.
  * nemo-thumbnails.c: Fix thread count when the setting is a positive value (specific count desired instead of automatic).

  [ kain ]
  * Fix for List View thumbnail scaling at HiDPI (#3187)

  [ Michael Webster ]
  * thumbnails: Ignore operations if the thumbnailer isn't running.
  * list-view: Scale the thumbnail correctly when applying emblems, and fix the emblem sanity checks everywhere.

  [ Oliver Kästner ]
  * Fix memleaks (#3131)

  [ Michael Webster ]
  * file info: Use generic methods for attributes that aren't guaranteed to be supported by the filesystem.
  * Fix some more GFileInfo getter problems.

  [ GNL10 ]
  * Stop "Searching..." pop-up button from disappearing when opening a file (#3177)

  [ Michael Webster ]
  * Implement a dynamic margin at the end of the file list in the list view.
  * window-slot: Update status bar selection info when a location is still loading.

  [ kain ]
  * Icon frame only for non-transparent large icons (#3189)

  [ Michael Webster ]
  * search: increase performance, reduce memory use.
  * Use GRefString instead of eel_ref_str for ref-counted strings.
  * Fix some memory leaks.
  * nemo-list-view.c: Fix some tooltip markup warnings.
  * Use fast-content-type when normal content-type lookup fails.

  [ Guldoman ]
  * Use local URIs for drag&drop, copy/paste operations (#3220)

  [ Michael Webster ]
  * i18n: Add rtl versions of directional icons.
  * places-sidebar: Render disk-full bars correctly in RTL languages.

  [ Oliver Kästner ]
  * properties-window: split dir elem count and size (#3225)

  [ Michael Webster ]
  * Add a 'drop zone' to the list view. This allows drag-and-drop into the current folder even when only folders are visible in the view.
  * nemo-application.c: Update the custom css provider when the system theme changes.
  * nemo-list-view.c: Remove stray debug line.
  * github workflow: Add optional ssh session.
  * actions: Make NemoActionManager more efficient, and skip invalid directories.
  * Update bug/feature templates.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 01 Jun 2023 16:21:09 +0100

## nemo 5.8.2+victoria

=== debian/changelog ===
nemo (5.8.2+victoria) victoria; urgency=medium

  [ Michael Webster ]
  * nemo-file.c: Don't try to get a 'local uri' for psuedo-files on the desktop.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 14 Jun 2023 09:25:47 +0200

nemo (5.8.1) victoria; urgency=medium

  [ Michael Webster ]
  * nemo-list-view.c: Reset dynamic bottom margin when loading a new location.

  [ Clement Lefebvre ]
  * l10n: Generate additional files

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jun 2023 13:00:41 +0100

## nemo 5.8.3+victoria

=== debian/changelog ===
nemo (5.8.3+victoria) victoria; urgency=medium

  [ Michael Webster ]
  * Revert "nemo-list-view.c: Fix some tooltip markup warnings."
  * Disable view selection when viewing search results.
  * search: Fix tracker search, which was broken by 3c691a8e0e80b5.
  * nemo-search-directory: Unset the search_running flag when the search completes.
  * search view: Fix sort column/direction not being remembered.
  * nemo-list-view.c: Don't try to work out a monospace font to use if no font family is set.
  * nemo-places-sidebar.c: Allocate extra space for the eject button when overlay-scrollbars are enabled.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 26 Jun 2023 10:47:56 +0200

nemo (5.8.2) victoria; urgency=medium

  [ Michael Webster ]
  * nemo-file.c: Don't try to get a 'local uri' for psuedo-files on the desktop.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 14 Jun 2023 09:25:47 +0200

## nemo 5.8.4

=== debian/changelog ===
nemo (5.8.4-1) experimental; urgency=medium

  * New upstream version 5.8.4
  * Bump reverse dep breaks to 5.8

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 14 Jul 2023 13:24:43 +0200

nemo (5.6.5-1) unstable; urgency=medium

  * New upstream bigfix version 5.6.5

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 26 May 2023 11:28:24 +0200

=== debian/control ===
Source: nemo
Section: misc
Priority: optional
Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
 Norbert Preining <norbert@preining.info>,
 Joshua Peisach <itzswirlz2020@outlook.com>,
 Christoph Martin <martin@uni-mainz.de>
Build-Depends:
 cinnamon-l10n (>= 5.8.1~),
 debhelper-compat (= 13),
 dh-sequence-gir,
 dh-sequence-python3,
 gtk-doc-tools,
 intltool,
 itstool,
 libatk1.0-dev,
 libcinnamon-desktop-dev (>= 5.8~),
 libexempi-dev,
 libexif-dev,
 libgail-3-dev,
 libgirepository1.0-dev,
 libglib2.0-dev,
 libglib2.0-doc,
 libgsf-1-dev,
 libgtk-3-dev,
 libgtk-3-doc,
 libpango1.0-dev,
 libselinux1-dev [linux-any],
 libx11-dev,
 libxapp-dev (>= 2.0.0~),
 libxext-dev,
 libxml2-dev,
 libxrender-dev,
 meson,
 python3,
 python3-gi,
 x11proto-core-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: http://cinnamon.linuxmint.com/
Vcs-Browser: https://salsa.debian.org/cinnamon-team/nemo
Vcs-Git: https://salsa.debian.org/cinnamon-team/nemo.git -b experimental

Package: gir1.2-nemo-3.0
Architecture: any
Section: introspection
Depends: ${gir:Depends}, ${misc:Depends}
Description: libraries for nemo components - gir bindings
 Nemo is the official file manager for the Cinnamon desktop. It allows one
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.
Breaks: nemo-python (<< 5.2~)
Multi-Arch: same

Package: libnemo-extension-dev
Architecture: any
Section: libdevel
Depends:
 gir1.2-nemo-3.0 (= ${binary:Version}),
 libglib2.0-dev,
 libgtk-3-dev,
 libnemo-extension1 (= ${binary:Version}),
 ${misc:Depends},
Description: Nemo component system facilities (development files)
 Nemo is the official file manager for the Cinnamon desktop. It allows one
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 This package contains the files needed to compile and link nemo extensions.

Package: libnemo-extension1
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Nemo component system facilities
 Nemo is the official file manager for the Cinnamon desktop. It allows one
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 This package contains the shared library needed by the nemo extensions.
Breaks: nemo-fileroller (<< 5.2~), nemo-python (<< 5.2~)

Package: nemo
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 cinnamon-desktop-data (>= 5.8~),
 desktop-file-utils,
 gsettings-desktop-schemas,
 gvfs,
 libcinnamon-desktop4 (>= 5.8~),
 libglib2.0-data,
 libnemo-extension1 (= ${binary:Version}),
 nemo-data (= ${source:Version}),
 shared-mime-info,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 catdoc,
 cinnamon-l10n (>= 5.8.1~),
 exif,
 gnome-disk-utility,
 gvfs-backends,
 gvfs-fuse,
 html2text,
 id3,
 librsvg2-common,
 nemo-fileroller (>= 5.2~),
 odt2txt,
 poppler-utils,
 python3-xlrd,
 python3:any,
 untex,
Suggests: eog, evince | pdf-viewer, totem | mp3-decoder, xdg-user-dirs
Description: File manager and graphical shell for Cinnamon
 Nemo is the official file manager for the Cinnamon desktop. It allows one
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 Several icon themes and components for viewing different kinds of files
 are available in separate packages.
Breaks: cinnamon (<< 5.8~), cinnamon-core (<< 5.4~), nemo-fileroller (<< 5.2~)

Package: nemo-data
Architecture: all
Depends: python3:any, ${misc:Depends}, ${python3:Depends}
Suggests: nemo
Description: File manager and graphical shell for Cinnamon (data files)
 Nemo is the official file manager for the Cinnamon desktop. It allows one
 to browse directories, preview files and launch applications associated
 with them. It is also responsible for handling the icons on the Cinnamon
 desktop. It works on local and remote filesystems.
 .
 This package contains pictures, localization files and other data
 needed by nemo.

## nemo 5.8.4+faye

=== debian/changelog ===
nemo (5.8.4+faye) victoria; urgency=medium

  [ Michael Webster ]
  * search: Fix search directory view selection.
  * nemo-search-directory.c: Don't restart the search if the query hasn't changed.
  * advanced search: Fix path handling to prevent symbolic links escaping into forbidden locations.
  * Fix some leaks.

  [ marcus125 ]
  * nemo-style-fallback-mandatory.css: Fix styling on inactive pane (#3261)

  [ Michael Webster ]
  * nemo-window.c: Fix crash when unmounting a network location.
  * nemo-places-sidebar.c: Remove extra reference to selected sidebar file when using the popup menu.
  * nemo-file-utilities.c: Simplify symbolic device icon lookup.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 07 Jul 2023 15:26:24 +0200

nemo (5.8.3) victoria; urgency=medium

  [ Michael Webster ]
  * Revert "nemo-list-view.c: Fix some tooltip markup warnings."
  * Disable view selection when viewing search results.
  * search: Fix tracker search, which was broken by 3c691a8e0e80b5.
  * nemo-search-directory: Unset the search_running flag when the search completes.
  * search view: Fix sort column/direction not being remembered.
  * nemo-list-view.c: Don't try to work out a monospace font to use if no font family is set.
  * nemo-places-sidebar.c: Allocate extra space for the eject button when overlay-scrollbars are enabled.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 26 Jun 2023 10:47:56 +0200

## nemo 5.8.4+victoria

=== debian/changelog ===
nemo (5.8.4+victoria) victoria; urgency=medium

  [ Michael Webster ]
  * search: Fix search directory view selection.
  * nemo-search-directory.c: Don't restart the search if the query hasn't changed.
  * advanced search: Fix path handling to prevent symbolic links escaping into forbidden locations.
  * Fix some leaks.

  [ marcus125 ]
  * nemo-style-fallback-mandatory.css: Fix styling on inactive pane (#3261)

  [ Michael Webster ]
  * nemo-window.c: Fix crash when unmounting a network location.
  * nemo-places-sidebar.c: Remove extra reference to selected sidebar file when using the popup menu.
  * nemo-file-utilities.c: Simplify symbolic device icon lookup.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 07 Jul 2023 15:26:24 +0200

## nemo 5.8.5

=== debian/changelog ===
nemo (5.8.5-2) unstable; urgency=medium

  * Release to unstable

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 29 Sep 2023 13:41:57 +0200

nemo (5.8.5-1) experimental; urgency=medium

  * New upstream bugfix version 5.8.5

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sat, 23 Sep 2023 11:15:36 +0200

=== debian/control ===
--- 
+++ 
@@ -43,7 +43,7 @@
 Rules-Requires-Root: no
 Homepage: http://cinnamon.linuxmint.com/
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/nemo
-Vcs-Git: https://salsa.debian.org/cinnamon-team/nemo.git -b experimental
+Vcs-Git: https://salsa.debian.org/cinnamon-team/nemo.git
 
 Package: gir1.2-nemo-3.0
 Architecture: any

## nemo 5.8.5+faye

=== debian/changelog ===
nemo (5.8.5+faye) victoria; urgency=medium

  [ Guldoman ]
  * Use `activation_uri` as a second choice in `nemo_file_get_local_uri` (#3269)

  [ Michael Webster ]
  * search: Relax folder restrictions to allow gvfs locations.

  [ marcus125 ]
  * nemo-file.c: Update hard-coded value for size of thumbnails. (#3278)

  [ Michael Webster ]
  * nemo-window-slot.c: Disable drop bar, until circular reference can be resolved.

  [ Edgar ]
  * Fix issue when generating video thumbnails from network shares (#3265)

  [ Lars Mueller ]
  * Fix thumbnail creation for local files

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 22 Sep 2023 14:15:47 +0100

nemo (5.8.4) victoria; urgency=medium

  [ Michael Webster ]
  * search: Fix search directory view selection.
  * nemo-search-directory.c: Don't restart the search if the query hasn't changed.
  * advanced search: Fix path handling to prevent symbolic links escaping into forbidden locations.
  * Fix some leaks.

  [ marcus125 ]
  * nemo-style-fallback-mandatory.css: Fix styling on inactive pane (#3261)

  [ Michael Webster ]
  * nemo-window.c: Fix crash when unmounting a network location.
  * nemo-places-sidebar.c: Remove extra reference to selected sidebar file when using the popup menu.
  * nemo-file-utilities.c: Simplify symbolic device icon lookup.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 07 Jul 2023 15:26:24 +0200

## nemo 5.8.5+victoria

=== debian/changelog ===
nemo (5.8.5+victoria) victoria; urgency=medium

  [ Guldoman ]
  * Use `activation_uri` as a second choice in `nemo_file_get_local_uri` (#3269)

  [ Michael Webster ]
  * search: Relax folder restrictions to allow gvfs locations.

  [ marcus125 ]
  * nemo-file.c: Update hard-coded value for size of thumbnails. (#3278)

  [ Michael Webster ]
  * nemo-window-slot.c: Disable drop bar, until circular reference can be resolved.

  [ Edgar ]
  * Fix issue when generating video thumbnails from network shares (#3265)

  [ Lars Mueller ]
  * Fix thumbnail creation for local files

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 22 Sep 2023 14:15:47 +0100

## nemo 6.0.0+virginia

=== debian/changelog ===
nemo (6.0.0+virginia) virginia; urgency=medium

  [ Michael Webster ]
  * debian: use buildtype=debugoptimized, use buildtype instead of an option for frame-pointers.
  * nemo-window-slot.c: Update the drop zone target each time the location changes, not just when the view type changes.
  * Fix some leaks, g_object_unref safety.

  [ Guldoman ]
  * Use `activation_uri` as a second choice in `nemo_file_get_local_uri` (#3269)

  [ Michael Webster ]
  * nemo-desktop-link.c: Fix warning when toggling the Trash icon in desktop settings.
  * Fix some style/icon problems.
  * search: Relax folder restrictions to allow gvfs locations.
  * compact view: Improve text and selection highlight alignment.
  * eel-gtk-extensions.c: (Wayland) Fix menu popup positioning, popup (#3281)

  [ marcus125 ]
  * nemo-file.c: Update hard-coded value for size of thumbnails. (#3278)

  [ Michael Webster ]
  * Update issue template with a link to open and closed issues.
  * eel-gtk-extensions: Make wayland display check reusable.
  * nemo-view.c: Use an admin:/// uri for the 'Open as Root' action when running under Wayland.
  * nemo-window-slot: Set up dnd against the slot itself instead of updating the target data each time the location changes.

  [ Edgar ]
  * Fix issue when generating video thumbnails from network shares (#3265)

  [ Michael Webster ]
  * nemo-thumbnails: Use g_file_peek_path to simplify network-to-local uri conversion.
  * Emphasize checking for duplicate existing issues in the bug report form.
  * nemo-window-slot.c: Disable drop bar, until circular reference can be resolved.
  * nemo-window.c: Don't update saved window state if the window is tiled when closing it.

  [ Pedro Montes Alcalde ]
  * Fix trying the same filename when moving a file with duplicate name (#3299)

  [ Lars Mueller ]
  * Fix thumbnail creation for local files

  [ Michael Webster ]
  * file ops: Use symbolic tray icons.

  [ Rick Calixte ]
  * nemo-view.c: Show detailed actions for some selection types (#3307)
  * Fix meson.build deprecations up to 0.56.0 (#3316)

  [ Michael Webster ]
  * nemo-pathbar.c: Remove unnecessary g_object_unref.
  * nemo-desktop.c: Use Gtk to set the desktop window hint
  * nemo-desktop: Add csd-background to ignored-desktop-handlers.
  * list-view: Remove remaining unused 'drop zone' code.
  * nemo-list-view: Restrict drag-into-folder actions to be triggered only over text-covered regions of a given row.
  * nemo-list-view.c: Don't apply column-expand test unless there is a drag operation active.

  [ Clement Lefebvre ]
  * l10n: Remove unnecessary msgid
  * l10n: Update POT
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 19 Nov 2023 14:05:19 +0000

## nemo 6.0.1+virginia

=== debian/changelog ===
nemo (6.0.1+virginia) virginia; urgency=medium

  [ Leigh Scott ]
  * Remove nemo-convert-metadata tool (#3335)

  [ Michael Webster ]
  * nemo-icon-canvas-item.c: Fix the state check to see if a surface can be re-used.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 19 Dec 2023 12:25:11 +0000

nemo (6.0.0) virginia; urgency=medium

  [ Michael Webster ]
  * debian: use buildtype=debugoptimized, use buildtype instead of an option for frame-pointers.
  * nemo-window-slot.c: Update the drop zone target each time the location changes, not just when the view type changes.
  * Fix some leaks, g_object_unref safety.

  [ Guldoman ]
  * Use `activation_uri` as a second choice in `nemo_file_get_local_uri` (#3269)

  [ Michael Webster ]
  * nemo-desktop-link.c: Fix warning when toggling the Trash icon in desktop settings.
  * Fix some style/icon problems.
  * search: Relax folder restrictions to allow gvfs locations.
  * compact view: Improve text and selection highlight alignment.
  * eel-gtk-extensions.c: (Wayland) Fix menu popup positioning, popup (#3281)

  [ marcus125 ]
  * nemo-file.c: Update hard-coded value for size of thumbnails. (#3278)

  [ Michael Webster ]
  * Update issue template with a link to open and closed issues.
  * eel-gtk-extensions: Make wayland display check reusable.
  * nemo-view.c: Use an admin:/// uri for the 'Open as Root' action when running under Wayland.
  * nemo-window-slot: Set up dnd against the slot itself instead of updating the target data each time the location changes.

  [ Edgar ]
  * Fix issue when generating video thumbnails from network shares (#3265)

  [ Michael Webster ]
  * nemo-thumbnails: Use g_file_peek_path to simplify network-to-local uri conversion.
  * Emphasize checking for duplicate existing issues in the bug report form.
  * nemo-window-slot.c: Disable drop bar, until circular reference can be resolved.
  * nemo-window.c: Don't update saved window state if the window is tiled when closing it.

  [ Pedro Montes Alcalde ]
  * Fix trying the same filename when moving a file with duplicate name (#3299)

  [ Lars Mueller ]
  * Fix thumbnail creation for local files

  [ Michael Webster ]
  * file ops: Use symbolic tray icons.

  [ Rick Calixte ]
  * nemo-view.c: Show detailed actions for some selection types (#3307)
  * Fix meson.build deprecations up to 0.56.0 (#3316)

  [ Michael Webster ]
  * nemo-pathbar.c: Remove unnecessary g_object_unref.
  * nemo-desktop.c: Use Gtk to set the desktop window hint
  * nemo-desktop: Add csd-background to ignored-desktop-handlers.
  * list-view: Remove remaining unused 'drop zone' code.
  * nemo-list-view: Restrict drag-into-folder actions to be triggered only over text-covered regions of a given row.
  * nemo-list-view.c: Don't apply column-expand test unless there is a drag operation active.

  [ Clement Lefebvre ]
  * l10n: Remove unnecessary msgid
  * l10n: Update POT
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 19 Nov 2023 14:05:19 +0000

## nemo 6.0.2

=== meson_options.txt ===
option('deprecated_warnings', type : 'boolean', value : false,
       description: 'Show compiler warnings about deprecated features')
option('exif', type : 'boolean', value : true,
       description: 'EXIF parsing support (requires libexif)')
option('xmp', type : 'boolean', value : true,
       description: 'XMP support (requires Exempi)')
option('gtk_doc', type : 'boolean', value : false,
       description: 'Generate API reference (requires GTK-Doc)')
option('selinux', type : 'boolean', value : false,
       description: 'SELinux support')
option('empty_view', type : 'boolean', value : false,
       description: 'Enable empty view')
option('tracker',type : 'combo', choices : ['true', 'false', 'auto'], value : 'false',
       description: 'Tracker support')

=== debian/changelog ===
nemo (6.0.2-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:09:18 +0000

nemo (6.0.2-1ubuntu1) noble; urgency=medium

  * Remove wrong hard-coded dep on libcinnamon-desktop4.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 23 Mar 2024 17:28:03 +0000

nemo (6.0.2-1build2) noble; urgency=high

  * No change rebuild against libcinnamon-desktop4t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:42:06 +0100

nemo (6.0.2-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:16:29 +0000

nemo (6.0.2-1) experimental; urgency=medium

  * New upstream version 6.0.2
  * Update d/copyright
  * Bump deps and reverse dep breaks to 6.0

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 11 Feb 2024 14:02:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: nemo
 Section: misc
 Priority: optional
-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Cinnamon Team <debian-cinnamon@lists.debian.org>
 Uploaders:
  Maximiliano Curia <maxy@debian.org>,
  Margarita Manterola <marga@debian.org>,
@@ -10,7 +11,7 @@
  Joshua Peisach <itzswirlz2020@outlook.com>,
  Christoph Martin <martin@uni-mainz.de>
 Build-Depends:
- cinnamon-l10n (>= 5.8.1~),
+ cinnamon-l10n (>= 6.0~),
  debhelper-compat (= 13),
  dh-sequence-gir,
  dh-sequence-python3,
@@ -18,7 +19,7 @@
  intltool,
  itstool,
  libatk1.0-dev,
- libcinnamon-desktop-dev (>= 5.8~),
+ libcinnamon-desktop-dev (>= 6.0~),
  libexempi-dev,
  libexif-dev,
  libgail-3-dev,
@@ -43,7 +44,7 @@
 Rules-Requires-Root: no
 Homepage: http://cinnamon.linuxmint.com/
 Vcs-Browser: https://salsa.debian.org/cinnamon-team/nemo
-Vcs-Git: https://salsa.debian.org/cinnamon-team/nemo.git
+Vcs-Git: https://salsa.debian.org/cinnamon-team/nemo.git -b experimental
 
 Package: gir1.2-nemo-3.0
 Architecture: any
@@ -96,11 +97,10 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends:
- cinnamon-desktop-data (>= 5.8~),
+ cinnamon-desktop-data (>= 6.0~),
  desktop-file-utils,
  gsettings-desktop-schemas,
  gvfs,
- libcinnamon-desktop4 (>= 5.8~),
  libglib2.0-data,
  libnemo-extension1 (= ${binary:Version}),
  nemo-data (= ${source:Version}),
@@ -109,7 +109,7 @@
  ${shlibs:Depends},
 Recommends:
  catdoc,
- cinnamon-l10n (>= 5.8.1~),
+ cinnamon-l10n (>= 6.0~),
  exif,
  gnome-disk-utility,
  gvfs-backends,

=== debian/watch ===
version=4
https://github.com/linuxmint/nemo/tags (?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@

## nemo 6.0.2+faye

=== debian/changelog ===
nemo (6.0.2+faye) virginia; urgency=medium

  [ Michael Webster ]
  * nemo-file.c: Escape tooltip text for markup before adding any search result snippet.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 28 Dec 2023 12:23:39 +0000

nemo (6.0.1) virginia; urgency=medium

  [ Leigh Scott ]
  * Remove nemo-convert-metadata tool (#3335)

  [ Michael Webster ]
  * nemo-icon-canvas-item.c: Fix the state check to see if a surface can be re-used.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 19 Dec 2023 12:25:11 +0000

## nemo 6.0.2+virginia

=== debian/changelog ===
nemo (6.0.2+virginia) virginia; urgency=medium

  [ Michael Webster ]
  * nemo-file.c: Escape tooltip text for markup before adding any search result snippet.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 28 Dec 2023 12:23:39 +0000

=== debian/rules ===
#!/usr/bin/make -f

# Force UTF8 to workaround build error
export LC_ALL=C.UTF-8

CONFIGURE_EXTRA_FLAGS = \
	--libexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)/nemo \
	--buildtype=debugoptimized \
	-D deprecated_warnings=false \
	-D gtk_doc=true \
	-D selinux=false

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow


%:
	dh $@ --with gir

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_EXTRA_FLAGS)

override_dh_auto_test:
	# Disabled
	:

override_dh_strip:
	dh_strip --dbg-package=nemo-dbg

override_dh_python3:
	dh_python3 -p nemo-data /usr/share/nemo

# workaround for fix lmde4 build
override_dh_dwz:
	# Disabled
	:

## nemo 6.0.2+wilma

=== meson_options.txt ===
--- 
+++ 
@@ -12,3 +12,5 @@
        description: 'Enable empty view')
 option('tracker',type : 'combo', choices : ['true', 'false', 'auto'], value : 'false',
        description: 'Tracker support')
+option('gtk_layer_shell', type : 'boolean', value : false,
+       description: 'Use gtk-layer-shell to draw desktop on wayland')

=== debian/changelog ===
nemo (6.0.2+wilma) virginia; urgency=medium

  [ Michael Webster ]
  * nemo-file.c: Escape tooltip text for markup before adding any search result snippet.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 28 Dec 2023 12:23:39 +0000
